Bug 435013 - up2date --list fields run together
up2date --list fields run together
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
i386 Linux
low Severity medium
: rc
: ---
Assigned To: Sayli Karmarkar
Preethi Thomas
Depends On:
  Show dependency treegraph
Reported: 2008-02-26 15:20 EST by Brian McAllister
Modified: 2015-03-22 21:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-18 16:14:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian McAllister 2008-02-26 15:20:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.13) Gecko/20060414 Red Hat/1.7.13-

Description of problem:
The up2date --list option produces output formatted in columns.  RPM release version fields can exceed the width specified in the print commands, causing fields to run together.  This leads to failure of scripts that try to parse the list.

The problem is in /usr/share/rhn/up2date-client/wrapperUtils.py, lines 298 and 314.  The solution is either to increase the field widths or to add a space between the field specifications.

Examples of problem RPMs:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use up2date --list for any RPM whose release version exceeds 17 characters (14 characters if --show-channels is used).

Actual Results:
Name                                    Version        Rel
cups                                    1.1.22         0.rc1.9.20.2.el4_6.5i386

Expected Results:
Name                                    Version        Rel
cups                                    1.1.22         0.rc1.9.20.2.el4_6.5 i386

Additional info:
Comment 5 errata-xmlrpc 2009-05-18 16:14:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.